com.hazelcast.jet.function

## Interface DistributedFunction<T,R>

- All Superinterfaces:
    Function<T,R>, Serializable
  All Known Subinterfaces:
    DistributedUnaryOperator<T>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedFunction<T,R>
      extends Function<T,R>, Serializable

  `Serializable` variant of `java.util.function.Function` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <V> DistributedFunction<T,V>` | `andThen(DistributedFunction<? super R,? extends V> after)` `Serializable` variant of `java.util.function.Function#andThen(Function)`.
    `default R` | `apply(T t)`
    `R` | `applyEx(T t)` Exception-declaring version of `Function.apply(T)`.
    `default <V> DistributedFunction<V,R>` | `compose(DistributedFunction<? super V,? extends T> before)` `Serializable` variant of `java.util.function.Function#compose(Function)`.
    `static <T> DistributedFunction<T,T>` | `identity()` `Serializable` variant of `java.util.function.Function#identity()`.

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Method Detail

    - #### applyEx

          R applyEx(T t)
             throws Exception

      Exception-declaring version of `Function.apply(T)`.
      Throws:
        `Exception`

    - #### apply

          default R apply(T t)

      Specified by:
        `apply` in interface `Function<T,R>`

    - #### identity

          static <T> DistributedFunction<T,T> identity()

      `Serializable` variant of `java.util.function.Function#identity()`.
      Specified by:
        `identity` in interface `Function<T,R>`

    - #### compose

          default <V> DistributedFunction<V,R> compose(DistributedFunction<? super V,? extends T> before)

      `Serializable` variant of `java.util.function.Function#compose(Function)`.

    - #### andThen

          default <V> DistributedFunction<T,V> andThen(DistributedFunction<? super R,? extends V> after)

      `Serializable` variant of `java.util.function.Function#andThen(Function)`.

Copyright © 2018. All rights reserved.